Gentoo Archives: gentoo-commits

From: Marc Schiffbauer <mschiff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-backup/bareos/files/, app-backup/bareos/
Date: Tue, 01 Feb 2022 10:02:54
Message-Id: 1643709738.bb4196df66ab885e344a752b394142c11ae7ea67.mschiff@gentoo
1 commit: bb4196df66ab885e344a752b394142c11ae7ea67
2 Author: Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
3 AuthorDate: Tue Feb 1 10:01:53 2022 +0000
4 Commit: Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
5 CommitDate: Tue Feb 1 10:02:18 2022 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb4196df
7
8 app-backup/bareos: add 21.0.0
9
10 Closes: https://bugs.gentoo.org/830682
11 Signed-off-by: Marc Schiffbauer <mschiff <AT> gentoo.org>
12
13 app-backup/bareos/Manifest | 1 +
14 app-backup/bareos/bareos-21.0.0.ebuild | 358 +++++++++++++++++++++
15 .../bareos/files/bareos-21-cmake-gentoo.patch | 12 +
16 app-backup/bareos/files/bareos-dir-21.confd | 10 +
17 app-backup/bareos/files/bareos-dir-21.initd | 31 ++
18 app-backup/bareos/files/bareos-dir-21.service | 32 ++
19 6 files changed, 444 insertions(+)
20
21 diff --git a/app-backup/bareos/Manifest b/app-backup/bareos/Manifest
22 index 406a45ba107a..b10d1c65a297 100644
23 --- a/app-backup/bareos/Manifest
24 +++ b/app-backup/bareos/Manifest
25 @@ -1,3 +1,4 @@
26 DIST bareos-18.2.12.tar.gz 10566403 BLAKE2B 765a5430c495b21edc0c22d6903e23d312b1dc2b94e0d2a4227c10a38be8fe638636cf32a58e8aaf83b389581bf1348b4d27be6886f61180c20496acbd0eb015 SHA512 1d308d3021e8277832ce933fbafdf514bc194a1a2a2d761e66fb26ec2af419d19ae38894a7cb56e036c5af003bf640117b5a11954d478b35e13a02007f99f4de
27 DIST bareos-19.2.11.tar.gz 12890679 BLAKE2B 2872e4eed8186f024211faeefcb5b38448f38d90a2c7c73ef8fa1e51d3a917344a7acbe09a01d0205ad312ec136161eb1b0aa28dcceabbf71d78206a724602b0 SHA512 46769f6e26068669c2656ed8afc73dbd6f07a88d65cf557193684c130bdb93567f3ab06374484be499e5edb7bdd32013edecb05ff19843d3d806a38ca1892749
28 DIST bareos-20.0.3.tar.gz 13335390 BLAKE2B c35ab9fd290377fc56ae8ff87f54b1cde5d1b7caa89b9c97e259da48da4e07fa85cba38c5a4d461b7ce170f9b14a69f78ad217584abb77ee15d3e85080cbe49b SHA512 3f9bf020e0d519da75221ebd200634713c791e2fdc90a13482ffb3294912d5e2ee28f8338dbef06ba6c98727bae447f6f8bb8d4a06520001f7cefa3614769082
29 +DIST bareos-21.0.0.tar.gz 11306618 BLAKE2B 0363465c40a8053bb5ec772c18ac0dc852f379979e3afc45dd29c79f8187238363c1f07e2f39d25613404b1b6e253700b33b274389ca2dc4655d201bc4888166 SHA512 0a57bccca0589f3ce8a5664afbeb1eb1b17ec7142722e2d0bb2a0bbd9007688725b39c6db59646c180ce096e55451c09934e6479a2b4deeb4d3ee738ab2c32cd
30
31 diff --git a/app-backup/bareos/bareos-21.0.0.ebuild b/app-backup/bareos/bareos-21.0.0.ebuild
32 new file mode 100644
33 index 000000000000..3a2b763a61dd
34 --- /dev/null
35 +++ b/app-backup/bareos/bareos-21.0.0.ebuild
36 @@ -0,0 +1,358 @@
37 +# Copyright 1999-2022 Gentoo Authors
38 +# Distributed under the terms of the GNU General Public License v2
39 +
40 +EAPI=7
41 +
42 +PYTHON_COMPAT=( python3_{8..10} )
43 +CMAKE_WARN_UNUSED_CLI=no
44 +#CMAKE_REMOVE_MODULES=yes
45 +
46 +inherit python-any-r1 systemd cmake tmpfiles
47 +
48 +DESCRIPTION="Featureful client/server network backup suite"
49 +HOMEPAGE="https://www.bareos.org/"
50 +SRC_URI="https://github.com/${PN}/${PN}/archive/Release/${PV}.tar.gz -> ${P}.tar.gz"
51 +RESTRICT="mirror"
52 +
53 +LICENSE="AGPL-3"
54 +SLOT="0"
55 +KEYWORDS="~amd64 ~x86"
56 +IUSE="X acl ceph clientonly +director glusterfs ipv6 jansson lmdb
57 + logwatch ndmp readline scsi-crypto
58 + static +storage-daemon systemd tcpd vim-syntax vmware xattr"
59 +
60 +# get cmake variables from core/cmake/BareosSetVariableDefaults.cmake
61 +DEPEND="
62 + !app-backup/bacula
63 + acct-group/${PN}
64 + !x86? (
65 + ceph? ( sys-cluster/ceph )
66 + )
67 + glusterfs? ( sys-cluster/glusterfs )
68 + lmdb? ( dev-db/lmdb )
69 + dev-libs/gmp:0
70 + !clientonly? (
71 + acct-user/${PN}
72 + dev-db/postgresql:*[threads]
73 + director? (
74 + virtual/mta
75 + jansson? ( dev-libs/jansson:= )
76 + )
77 + )
78 + logwatch? ( sys-apps/logwatch )
79 + ndmp? ( net-libs/rpcsvc-proto )
80 + tcpd? ( sys-apps/tcp-wrappers )
81 + readline? ( sys-libs/readline:0 )
82 + static? (
83 + acl? ( virtual/acl[static-libs] )
84 + sys-libs/zlib[static-libs]
85 + dev-libs/lzo[static-libs]
86 + sys-libs/ncurses:=[static-libs]
87 + dev-libs/openssl:0=[static-libs]
88 + )
89 + !static? (
90 + acl? ( virtual/acl )
91 + dev-libs/lzo
92 + dev-libs/openssl:0=
93 + sys-libs/ncurses:=
94 + sys-libs/zlib
95 + )
96 + "
97 +RDEPEND="${DEPEND}
98 + !clientonly? (
99 + storage-daemon? (
100 + sys-block/mtx
101 + app-arch/mt-st
102 + )
103 + )
104 + vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )
105 + "
106 +BDEPEND="${PYTHON_DEPS}"
107 +
108 +REQUIRED_USE="
109 + static? ( clientonly )
110 + x86? ( !ceph )
111 +"
112 +
113 +S=${WORKDIR}/${PN}-Release-${PV}
114 +
115 +pkg_pretend() {
116 + local active_removed_backend=""
117 + if has_version "<app-backup/bareos-21[director,mysql]"; then
118 + if grep -qhriE "dbdriver.*=.*mysql" /etc/bareos/; then
119 + active_removed_backend=MySQL
120 + fi
121 + elif has_version "<app-backup/bareos-21[director,sqlite]"; then
122 + if grep -qhriE "dbdriver.*=.*sqlite" /etc/bareos/; then
123 + active_removed_backend=SQLite
124 + fi
125 + fi
126 + if [[ -n $active_removed_backend ]]; then
127 + ewarn
128 + ewarn "You are currently using bareos with the $active_removed_backend"
129 + ewarn "catalog backend."
130 + ewarn
131 + ewarn "THIS IS NOT SUPPORTED ANYMORE"
132 + ewarn
133 + ewarn "Beginning with version 21.0.0 bareos has dropped support for"
134 + ewarn "MySQL and SQLite catalog backends."
135 + ewarn
136 + ewarn "To upgrade to bareos >=21.0.0 you need to migrate to PostgreSQL"
137 + ewarn "catalog backend using the 'bareos-dbcopy' tool of your current"
138 + ewarn "installation first."
139 + ewarn
140 + die "current catalog backend not supported anymore"
141 + fi
142 +}
143 +
144 +src_prepare() {
145 + # fix gentoo platform support
146 + eapply -p1 "${FILESDIR}/${PN}-21-cmake-gentoo.patch"
147 +
148 + # fix missing DESTDIR in symlink creation
149 + sed -i '/bareos-symlink-default-db-backend.cmake/d' "${S}/core/src/cats/CMakeLists.txt"
150 +
151 + cmake_src_prepare
152 +}
153 +
154 +src_configure() {
155 + local mycmakeargs=()
156 +
157 + cmake_comment_add_subdirectory webui
158 +
159 + if use clientonly; then
160 + mycmakeargs+=(
161 + -Dclient-only=ON
162 + -Dstatic-cons=$(usex static)
163 + -Dstatic-fd=$(usex static)
164 + )
165 + fi
166 +
167 + for useflag in acl ipv6 ndmp scsi-crypto \
168 + systemd lmdb; do
169 + mycmakeargs+=( -D$useflag=$(usex $useflag) )
170 + done
171 +
172 + mycmakeargs+=(
173 + -DHAVE_PYTHON=0
174 + -Darchivedir=/var/lib/bareos/storage
175 + -Dbackenddir=/usr/$(get_libdir)/${PN}/backend
176 + -Dbasename="`hostname -s`"
177 + -Dbatch-insert=yes
178 + -Dbsrdir=/var/lib/bareos/bsr
179 + -Dconfdir=/etc/bareos
180 + -Dcoverage=no
181 + -Ddb_password=`cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 16 | head -n 1`
182 + -Ddir-group=bareos
183 + -Ddir-password="`cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1`"
184 + -Ddir-user=bareos
185 + -Ddocdir=/usr/share/doc/${PF}
186 + -Ddynamic-cats-backends=yes
187 + -Ddynamic-storage-backends=yes
188 + -Dfd-group=bareos
189 + -Dfd-password="`cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1`"
190 + -Dfd-user=root
191 + -Dhost=${CHOST}
192 + -Dhostname="`hostname -s`"
193 + -Dhtmldir=/usr/share/doc/${PF}/html
194 + -Dlibdir=/usr/$(get_libdir)
195 + -Dlogdir=/var/log/bareos
196 + -Dmandir=/usr/share/man
197 + -Dmon-dir-password="`cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1`"
198 + -Dmon-fd-password="`cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1`"
199 + -Dmon-sd-password="`cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1`"
200 + -Dopenssl=yes
201 + -Dpiddir=/run/bareos
202 + -Dplugindir=/usr/$(get_libdir)/${PN}/plugin
203 + -Dsbin-perm=0755
204 + -Dsbindir=/usr/sbin
205 + -Dscriptdir=/usr/libexec/bareos
206 + -Dsd-group=bareos
207 + -Dsd-password="`cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1`"
208 + -Dsd-user=root
209 + -Dsubsysdir=/run/lock/subsys
210 + -Dsysconfdir=/etc
211 + -Dworkingdir=/var/lib/bareos
212 + -Dx=$(usex X)
213 + )
214 +
215 + # disable droplet support for now as it does not build with gcc 10
216 + # ... and this is a bundled lib, which should have its own package
217 + cd core && cmake_comment_add_subdirectory "src/droplet"
218 +
219 + cmake_src_configure
220 +}
221 +
222 +src_install() {
223 + cmake_src_install
224 +
225 + # remove some scripts we don't need at all
226 + rm -f "${D}"/usr/libexec/bareos/{bareos,bareos-ctl-dir,bareos-ctl-fd,bareos-ctl-sd}
227 + rm -f "${D}"/usr/sbin/bareos
228 +
229 + # remove upstream init scripts and systemd units
230 + rm -f "${D}"/etc/init.d/bareos-* "${D}"/lib/systemd/system/bareos-*.service
231 +
232 + # remove misc stuff we do not need in production
233 + rm -f "${D}"/etc/bareos/bareos-regress.conf
234 + rm -f "${D}"/etc/logrotate.d/bareos-dir
235 +
236 + # get rid of py2 stuff
237 + rm -rf "$D"/usr/lib64/python2.7 || die
238 + rm -f "$D"/usr/lib64/bareos/plugin/python-fd.so || die
239 + if ! use vmware; then
240 + rm -f "$D"/usr/lib64/bareos/plugin/{BareosFdPluginVMware.py,bareos-fd-vmware.py}
241 + fi
242 +
243 + # rename statically linked apps
244 + if use clientonly && use static ; then
245 + pushd "${D}"/usr/sbin || die
246 + mv static-bareos-fd bareos-fd || die
247 + mv static-bconsole bconsole || die
248 + popd || die
249 + fi
250 +
251 + # extra files which 'make install' doesn't cover
252 + if ! use clientonly; then
253 + # the logrotate configuration
254 + # (now unconditional wrt bug #258187)
255 + diropts -m0755
256 + insinto /etc/logrotate.d
257 + insopts -m0644
258 + newins "${S}"/core/scripts/logrotate bareos
259 +
260 + # the logwatch scripts
261 + if use logwatch; then
262 + diropts -m0750
263 + dodir /etc/log.d/scripts/services
264 + dodir /etc/log.d/scripts/shared
265 + dodir /etc/log.d/conf/logfiles
266 + dodir /etc/log.d/conf/services
267 + pushd "${S}"/core/scripts/logwatch >&/dev/null || die
268 +
269 + into /etc/log.d/scripts/services
270 + dobin bareos
271 +
272 + into /etc/log.d/scripts/shared
273 + dobin applybareosdate
274 +
275 + insinto /etc/log.d/conf/logfiles
276 + newins logfile.bareos.conf bareos.conf
277 +
278 + insinto /etc/log.d/conf/services
279 + newins services.bareos.conf bareos.conf
280 +
281 + popd >&/dev/null || die
282 + fi
283 + fi
284 +
285 + rm -vf "${D}"/usr/share/man/man1/bareos-bwxconsole.1*
286 + if use clientonly || ! use director; then
287 + rm -vf "${D}"/usr/share/man/man8/bareos-dir.8*
288 + rm -vf "${D}"/usr/share/man/man8/bareos-dbcheck.8*
289 + rm -vf "${D}"/usr/share/man/man1/bsmtp.1*
290 + rm -vf "${D}"/usr/share/man/man8/bwild.8*
291 + rm -vf "${D}"/usr/share/man/man8/bregex.8*
292 + rm -vf "${D}"/usr/share/man/man8/bpluginfo.8*
293 + rm -vf "${D}"/usr/libexec/bareos/create_*_database
294 + rm -vf "${D}"/usr/libexec/bareos/drop_*_database
295 + rm -vf "${D}"/usr/libexec/bareos/make_*_tables
296 + rm -vf "${D}"/usr/libexec/bareos/update_*_tables
297 + rm -vf "${D}"/usr/libexec/bareos/drop_*_tables
298 + rm -vf "${D}"/usr/libexec/bareos/grant_*_privileges
299 + rm -vf "${D}"/usr/libexec/bareos/*_catalog_backup
300 + fi
301 + if use clientonly || ! use storage-daemon; then
302 + rm -vf "${D}"/usr/share/man/man8/bareos-sd.8*
303 + rm -vf "${D}"/usr/share/man/man8/bcopy.8*
304 + rm -vf "${D}"/usr/share/man/man8/bextract.8*
305 + rm -vf "${D}"/usr/share/man/man8/bls.8*
306 + rm -vf "${D}"/usr/share/man/man8/bscan.8*
307 + rm -vf "${D}"/usr/share/man/man8/btape.8*
308 + rm -vf "${D}"/usr/libexec/bareos/disk-changer
309 + rm -vf "${D}"/usr/libexec/bareos/mtx-changer
310 + rm -vf "${D}"/usr/libexec/bareos/dvd-handler
311 + rm -vf "${D}"/etc/bareos/mtx-changer.conf
312 + fi
313 + if ! use scsi-crypto; then
314 + rm -vf "${D}"/usr/share/man/man8/bscrypto.8*
315 + fi
316 +
317 + # documentation
318 + dodoc README.md
319 + dodoc core/README.configsubdirectories
320 + use glusterfs dodoc core/README.glusterfs
321 + use ndmp && dodoc core/README.NDMP
322 + use scsi-crypto && dodoc core/README.scsicrypto
323 +
324 + # vim-files
325 + if use vim-syntax; then
326 + insinto /usr/share/vim/vimfiles/syntax
327 + doins core/scripts/bareos.vim
328 + insinto /usr/share/vim/vimfiles/ftdetect
329 + newins core/scripts/filetype.vim bareos_ft.vim
330 + fi
331 +
332 + # setup init scripts
333 + myscripts="bareos-fd"
334 + if ! use clientonly; then
335 + if use director; then
336 + myscripts+=" bareos-dir-21"
337 + fi
338 + if use storage-daemon; then
339 + myscripts+=" bareos-sd"
340 + fi
341 + fi
342 + for script in ${myscripts}; do
343 + # copy over init script and config to a temporary location
344 + # so we can modify them as needed
345 + cp "${FILESDIR}/${script}".confd "${T}/${script}".confd || die "failed to copy ${script}.confd"
346 + cp "${FILESDIR}/${script}".initd "${T}/${script}".initd || die "failed to copy ${script}.initd"
347 +
348 + # install init script and config
349 + newinitd "${T}/${script}".initd "${script/-21/}"
350 + newconfd "${T}/${script}".confd "${script/-21/}"
351 + done
352 +
353 + # install systemd unit files
354 + if use systemd; then
355 + if ! use clientonly; then
356 + use director && systemd_dounit "${FILESDIR}"/bareos-dir.service
357 + use storage-daemon && systemd_dounit "${FILESDIR}"/bareos-sd.service
358 + fi
359 + systemd_dounit "${FILESDIR}"/bareos-fd.service
360 + fi
361 +
362 + # make sure the working directory exists
363 + diropts -m0750
364 + keepdir /var/lib/bareos
365 + keepdir /var/lib/bareos/storage
366 +
367 + diropts -m0755
368 + keepdir /var/log/bareos
369 +
370 + newtmpfiles "${FILESDIR}"/tmpfiles.d-bareos.conf bareos.conf
371 +
372 + # make sure bareos group can execute bareos libexec scripts
373 + fowners -R root:bareos /usr/libexec/bareos
374 +}
375 +
376 +pkg_postinst() {
377 + tmpfiles_process bareos.conf
378 +
379 + if use clientonly; then
380 + fowners root:bareos /var/lib/bareos
381 + else
382 + fowners bareos:bareos /var/lib/bareos
383 + fi
384 +
385 + if ! use clientonly && use director; then
386 + einfo
387 + einfo "If this is a new install, you must create the database:"
388 + einfo
389 + einfo " su postgres -c '/usr/libexec/bareos/create_bareos_database postgresql'"
390 + einfo " su postgres -c '/usr/libexec/bareos/make_bareos_tables postgresql'"
391 + einfo " su postgres -c '/usr/libexec/bareos/grant_bareos_privileges postgresql'"
392 + einfo
393 + fi
394 +}
395
396 diff --git a/app-backup/bareos/files/bareos-21-cmake-gentoo.patch b/app-backup/bareos/files/bareos-21-cmake-gentoo.patch
397 new file mode 100644
398 index 000000000000..e42bf91a91fd
399 --- /dev/null
400 +++ b/app-backup/bareos/files/bareos-21-cmake-gentoo.patch
401 @@ -0,0 +1,12 @@
402 +diff -ur bareos-Release-21.0.0.orig/core/platforms/CMakeLists.txt bareos-Release-21.0.0/core/platforms/CMakeLists.txt
403 +--- bareos-Release-21.0.0.orig/core/platforms/CMakeLists.txt 2021-12-21 01:00:49.000000000 -1000
404 ++++ bareos-Release-21.0.0/core/platforms/CMakeLists.txt 2022-01-30 15:09:41.949529813 -1000
405 +@@ -30,6 +30,8 @@
406 + message(STATUS "adding subdirectories debian and univention")
407 + add_subdirectory(debian)
408 + add_subdirectory(univention)
409 ++ elseif(${PLATFORM} STREQUAL gentoo)
410 ++ message(STATUS "PLATFORM: " ${PLATFORM})
411 + elseif(${BAREOS_PLATFORM} STREQUAL hpux)
412 + message(STATUS "BAREOS_PLATFORM: " ${BAREOS_PLATFORM})
413 + elseif(${BAREOS_PLATFORM} STREQUAL archlinux)
414
415 diff --git a/app-backup/bareos/files/bareos-dir-21.confd b/app-backup/bareos/files/bareos-dir-21.confd
416 new file mode 100644
417 index 000000000000..3ad4b7482f93
418 --- /dev/null
419 +++ b/app-backup/bareos/files/bareos-dir-21.confd
420 @@ -0,0 +1,10 @@
421 +# Copyright 1999-2019 Gentoo Authors
422 +# Distributed under the terms of the GNU General Public License v2
423 +
424 +# Config file for /etc/init.d/bareos-dir
425 +
426 +# Options for the director daemon.
427 +# The director can be run as a non-root user, however
428 +# please ensure that this user has proper permissions to
429 +# access your backup devices.
430 +DIR_OPTIONS="-u bareos -g bareos"
431
432 diff --git a/app-backup/bareos/files/bareos-dir-21.initd b/app-backup/bareos/files/bareos-dir-21.initd
433 new file mode 100644
434 index 000000000000..7100b615105c
435 --- /dev/null
436 +++ b/app-backup/bareos/files/bareos-dir-21.initd
437 @@ -0,0 +1,31 @@
438 +#!/sbin/openrc-run
439 +# Copyright 1999-2021 Gentoo Authors
440 +# Distributed under the terms of the GNU General Public License v2
441 +
442 +depend() {
443 + need postgresql
444 + use dns bareos-fd bareos-sd
445 +}
446 +
447 +start() {
448 + ebegin "Starting bareos director"
449 + # g+w until #631598 is resolved
450 + checkpath -d -m 0770 -o root:bareos /run/bareos
451 + start-stop-daemon --start --quiet --exec /usr/sbin/bareos-dir \
452 + -- ${DIR_OPTIONS}
453 + # harden pid file until #631598 is resolved
454 + ewaitfile 10 /run/bareos/bareos-dir.9101.pid
455 + chown root:bareos /run/bareos/bareos-dir.9101.pid
456 + eend $?
457 +}
458 +
459 +stop() {
460 + ebegin "Stopping bareos director"
461 + # check pid file until #631598 is resolved
462 + if [[ $(stat -c %U /run/bareos/bareos-dir.9101.pid) != "root" ]]; then
463 + eerror "SECURITY ALERT: pid file is not root owned anymore?! (see #631598)"
464 + else
465 + start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-dir.9101.pid
466 + fi
467 + eend $?
468 +}
469
470 diff --git a/app-backup/bareos/files/bareos-dir-21.service b/app-backup/bareos/files/bareos-dir-21.service
471 new file mode 100644
472 index 000000000000..2f156cf8aecc
473 --- /dev/null
474 +++ b/app-backup/bareos/files/bareos-dir-21.service
475 @@ -0,0 +1,32 @@
476 +# Copyright 1999-2021 Gentoo Authors
477 +# Distributed under the terms of the GNU General Public License v2
478 +#
479 +# Bareos Director Daemon
480 +#
481 +[Unit]
482 +Description=Bareos Director Daemon
483 +Documentation=man:bareos-dir(8)
484 +Requires=nss-lookup.target network.target remote-fs.target time-sync.target
485 +After=nss-lookup.target network.target remote-fs.target time-sync.target postgresql.service
486 +ConditionPathIsDirectory=/var/lib/bareos
487 +
488 +[Service]
489 +# see bug #631598
490 +#Type=forking
491 +Type=simple
492 +User=bareos
493 +Group=bareos
494 +WorkingDirectory=/var/lib/bareos
495 +#PIDFile=/run/bareos/bareos-dir.9101.pid
496 +StandardError=journal
497 +ExecStartPre=/usr/sbin/bareos-dir -t -f
498 +#ExecStart=/usr/sbin/bareos-dir
499 +ExecStart=/usr/sbin/bareos-dir -f
500 +SuccessExitStatus=0 1 15
501 +ExecReload=/usr/sbin/bareos-dir -t -f
502 +ExecReload=/bin/kill -HUP $MAINPID
503 +#Restart=on-failure
504 +
505 +[Install]
506 +Alias=bareos-director.service
507 +WantedBy=multi-user.target